package editor.model;

import java.io.File;
import java.io.FileWriter;
import java.io.IOException;
import java.io.PrintWriter;
import java.io.UnsupportedEncodingException;
import java.nio.file.Files;

public class FileHandler {
	public static String file2String(File file) throws UnsupportedEncodingException, IOException {
		return new String(Files.readAllBytes(file.toPath()), "UTF8");
	}
	
	public static void openFrom(File file, WindowView target) throws UnsupportedEncodingException, IOException { 
		target.replaceTextWith(file2String(file));		
	}
	
	public static void saveTo(File file, WindowView src) throws IOException {
		PrintWriter out = new PrintWriter(new FileWriter(file));
		out.print(src.getCompleteText());
		out.close();		
	}
}
