package editor.model.implementations;

class DoubleTextNode {
	private char c;
	private DoubleTextNode next, prev;
	
	DoubleTextNode(char c) {
		this.c = c;
		next = prev = null;
	}
	
	DoubleTextNode(DoubleTextNode src) {
		this.c = src.c;
		this.next = src.next;
		this.prev = src.prev;
	}
	
	@Override
	public boolean equals(Object that) {
		if (that instanceof DoubleTextNode) {
			DoubleTextNode other = (DoubleTextNode)that;
			return this.c == other.c && this.next == other.next && this.prev == other.prev;
		} else {
			return false;
		}
	}
	
	public boolean goodNext() {
		return (next == null || next.prev == this);
	}
	
	public boolean goodPrev() {
		return (prev == null || prev.next == this);
	}
	
	public boolean isConsistent() {
		return goodNext() && goodPrev();	
	}
	
	public DoubleTextNode getNext() {
		return next;
	}
	
	public DoubleTextNode getPrev() {
		return prev;
	}

	public char getChar() {
		return c;
	}
	
	public void addAfter(DoubleTextNode other) {
	}
	
	public void addBefore(DoubleTextNode other) {
	}
	
	public void mergeAfter(DoubleTextNode other) {
	}
	
	public void mergeBefore(DoubleTextNode other) {
	}
	
	public void removeAfter() {
	}
	
	public void removeBefore() {
	}
	
	public DoubleTextNode copyBefore() {
		return null;
	}
	
	public DoubleTextNode copyAfter() {
		return null;
	}
}
