package editor.model.implementations;

import java.util.ConcurrentModificationException;

import editor.model.DocumentView;

public class DoubleTextNodeView implements DocumentView {
	private DoubleTextNode after, before;
	
	@Override
	public boolean isConsistent() {
		return goodBefore() && goodAfter();
	}
	
	public boolean goodBefore() {
		return before == null || before.getNext() == after;
	}
	
	public boolean goodAfter() {
		return after == null || after.getPrev() == before;
	}
	
	public void assertConsistent() {
		if (!isConsistent()) {
			throw new ConcurrentModificationException();
		}
	}
	
	public DoubleTextNodeView() {
		after = before = null;
	}
	
	@Override
	public boolean isEmpty() {
		return false;
	}

	public void insert(char c) {
	}

	@Override
	public void removeBefore() {
	}
	
	@Override
	public boolean atStart() {
		return false;
	}

	@Override
	public boolean atEnd() {
		return false;
	}

	@Override
	public void goRight() {
	}

	@Override
	public void goLeft() {
	}

	@Override
	public char peekAfter() {
		return '\0';
	}

	@Override
	public char peekBefore() {
		return '\0';
	}

	@Override
	public DoubleTextNodeView shallowCopy() {
		return null;
	}

	@Override
	public DoubleTextNodeView deepCopy() {
		return null;
	}

	@Override
	public void removeAll() {
	}
}
